> ## Documentation Index
> Fetch the complete documentation index at: https://docs.haiqu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Devices Endpoint

> List devices endpoint.

Returns all registered devices with their statuses.

Args:
    user (User): User authenticated with api key.

Returns:
    list: List of DeviceModel objects.



## OpenAPI

````yaml https://api.haiqu.ai/openapi.json get /devices
openapi: 3.1.0
info:
  title: Haiqu API
  summary: Haiqu RESTful API service.
  description: Cloud service providing the access to Haiqu cloud runtime
  contact:
    name: Haiqu Inc.
    url: https://haiqu.ai/
    email: info@haiqu.ai
  version: 1.4.0
servers: []
security: []
paths:
  /devices:
    get:
      summary: List Devices Endpoint
      description: |-
        List devices endpoint.

        Returns all registered devices with their statuses.

        Args:
            user (User): User authenticated with api key.

        Returns:
            list: List of DeviceModel objects.
      operationId: list_devices_endpoint_devices_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
      security:
        - APIKeyQuery: []
        - APIKeyHeader: []
components:
  securitySchemes:
    APIKeyQuery:
      type: apiKey
      in: query
      name: HAIQU_API_KEY
    APIKeyHeader:
      type: apiKey
      in: header
      name: authorization

````